package com.cool.store.enums.wallet;

/**
 * @Auther zx_szh
 * @Date 2026/4/9 09:35
 * @Version 1.0
 */
public enum DocStatusEnum {

    //10-待充值/20-已充值待认款/30-认款完成/40-分部分账/50-分账完成
    DOC_STATUS_1(10,"待充值"),
    DOC_STATUS_2(20,"已充值待认款"),
    DOC_STATUS_3(30,"认款完成"),
    DOC_STATUS_4(40,"部分分账"),
    DOC_STATUS_5(50,"分账完成"),
    ;

    private final Integer status;

    private final String desc;

    DocStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }



}
